Bug 46201 - Choose extra languages in Windows Installer typical installation - Spanish and others
Summary: Choose extra languages in Windows Installer typical installation - Spanish an...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-16 16:15 UTC by Toni Hermoso Pulido
Modified: 2013-07-17 10:24 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toni Hermoso Pulido 2012-02-16 16:15:18 UTC
LibO 3.5 Windows installer chooses the languages to be installed from the OS set up locale during a typical installation.

This is a problem for users with a Windows language pack version, which rarely have a proper language configuration (e.g. Catalan), or those without a localized Windows version (e.g. Asturian)

As an improvement, I would suggest to include several languages in the installing process when a Windows dominant language (e.g. Spanish vs. Catalan or Asturian) is normally prevailing in a Windows environment.
That way, most of the potentially affected users can more easily switch to other languages without having to find out how to do this from a custom installation.

This means that, once a Spanish (or es-ES) OS system is detected, other languages would be installed (ast, ca, ca-XV, eu, gl, oc) as well.

I imagine this could be applied to other cases.
Comment 1 Toni Hermoso Pulido 2012-02-16 23:38:38 UTC
Note: Here I don't mean the language of the installer UI, but the languages that will be available to be used from the LibO UI once the application is installed (via options).
Comment 2 sasha.libreoffice 2012-05-21 06:32:02 UTC
Thanks for new idea
Some languages have very much variants. For example Spanish used in almost all America, Russian in all ExUSSR and English in half of world.
Comment 3 retired 2013-07-17 10:24:32 UTC
Including more languages in the installer won't happen afaik. I talked to some devs about this and LO will stick to the current structure.

So setting to WONTFIX.

If any dev disagrees please chime in and re-open this bug and feel free to set it to NEW in that case.